# Class PostAttackStealHeldItemAbAttr

#### Hierarchy (view full)

- PostAttackAbAttr
  - PostAttackStealHeldItemAbAttr

- Defined in src/data/ability.ts:1226

#####
Index

### Constructors

constructor

### Properties

condition
showAbility

### Methods

addCondition
apply
applyPostAttack
getCondition
getTargetHeldItems
getTriggerMessage

## Constructors

### constructor

- new PostAttackStealHeldItemAbAttr(condition?): PostAttackStealHeldItemAbAttr

- #### Parameters

  - `Optional` condition: PokemonAttackCondition

  #### Returns PostAttackStealHeldItemAbAttr

  Overrides PostAttackAbAttr.constructor

  - Defined in src/data/ability.ts:1229

## Properties

### `Private` condition

condition: PokemonAttackCondition

- Defined in src/data/ability.ts:1227

### showAbility

showAbility: boolean

Inherited from PostAttackAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostAttackAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostAttack

- applyPostAttack(pokemon, passive, defender, move, hitResult, args): Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns Promise<boolean>

  Overrides PostAttackAbAttr.applyPostAttack

  - Defined in src/data/ability.ts:1235

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTargetHeldItems

- getTargetHeldItems(target): PokemonHeldItemModifier []

- #### Parameters

  - target: default

  #### Returns PokemonHeldItemModifier []

  - Defined in src/data/ability.ts:1254

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137